%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%funksjon som beregner matrisene Gamma og Z0
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

%Inngangsparametre:
%%%%%%%%%%%%%%%%%%%
%L-per-lengdeenhet-induktansmatrise
%C-per-lengdeenhet-kapasitansmatrise
%R-per-lengdeenhet-resistansmatrise
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

function[GAMMA,Z0]=beregnGammaZ0(R,L,C);

%Parameterne som brukes i beregningen
%*********************************************************************
%f[kHz]-frekvens
%omega[rad/s]-vinkelfrekvens
%L-per-lengdeenhet-induktansmatrise
%C-per-lengdeenhet-kapasitansmatrise
%R-per-lengdeenhet-resistansmatrise
%Y-per-lengdeenhet-admittansmatrise
%Z-per-lengdeenhet-impedansmatrise
%Z0-matrise for generalisert karakteristisk impedans
%GAMMA-matrise for generalisert propagsjonskonstant
%*********************************************************************


%faste parametre
f=132*10^3;
omega = 2*pi*f;

%admittansmatrise
Y=j*omega*C;
%impedansmatrise
Z=R+j*omega*L;

%generalisert propagasjonskonstant
GAMMA=sqrtm(Z*Y);
%generalisert karakteristisk impedans
Z0=inv(GAMMA)*Z;

